Advisory Details

May 29th, 2013

Apple QuickTime MP3 Memory Corruption Remote Code Execution Vulnerability

ZDI-13-080
ZDI-CAN-1724

CVE ID CVE-2103-0989
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS QuickTime
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple QuickTime. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the CoreAudioToolbox component processing an mp3 file. Altering the channel_mode value from stereo to mono in the header of a stereo mpeg frame could result in a heap buffer overflow. An attacker could leverage this to gain remote code execution under the context of the process.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
http://support.apple.com/kb/HT1222
DISCLOSURE TIMELINE
  • 2013-01-08 - Vulnerability reported to vendor
  • 2013-05-29 - Coordinated public release of advisory
CREDIT G. Geshev
BACK TO ADVISORIES